%
% This file is used in  
%   https://gitlab.inria.fr/line/aide-group/aide/-/blob/master/etc/tex_to_pdf.sh
% and command are documented in http://aide-line.inria.fr/build/www/etc.html#.tex_to_pdf
%

% Defines a minimal layout for pdf display

\documentclass[a4paper,12pt,landscape,pdftoolbar=false,pdfmenubar=false]{article}
\pagestyle{empty} 
\topmargin 0cm \oddsidemargin 0cm \evensidemargin 0cm 
\setlength{\parindent}{0in} 
\setlength{\parskip}{3mm} 
\usepackage[margin=2cm]{geometry}

% Here are the used packages

\usepackage[utf8]{inputenc}
\DeclareUnicodeCharacter{00B0}{\textsuperscript{o}}

\usepackage{hyperref}
\usepackage{graphicx}
\usepackage{amsmath}\usepackage{amssymb}\usepackage{amsfonts}
\usepackage{array}
\usepackage{times}
\usepackage{color}
%\usepackage{algpseudocode}\usepackage{algorithm}
\usepackage{listings}

% Here is tha macro for conditional compilation

\def\aidebuild {}

% Here are some used commands

\newcommand{\deq}{\stackrel {\rm def}{=}} 
\newcommand{\eqline}[1]{~\vspace{0.3cm}\\\centerline{$#1$}\vspace{0.3cm}\\}
\newcommand{\tab}{\hphantom{6mm}}
\newcommand{\hhref}[1]{\href{#1}{#1}}

% Here are some homemade commands to define minimal slides

\newcommand{\slide}[2]{\clearpage\fbox{\parbox[t][16.5cm][t]{\textwidth}{\begin{center}{\fontsize{40}{50}\selectfont {\bf #1}}\end{center}\huge\vspace{0.5cm}~{#2}}}\newpage}
\newcommand{\sitem}[1]{\\~\\$\bullet$ {#1}}
\newcommand{\ssitem}[1]{\\\tab- {#1}}
\newcommand{\sfbox}[1]{\framebox[\textwidth]{{#1}}}
\newcommand{\sright}[1]{\begin{flushright}#1\tab\end{flushright}}
\newcommand{\scenter}[1]{\begin{center}#1\end{center}}
\newcommand{\stwo}[4]{\begin{tabular}{ll}\parbox{#1\textwidth}{#3}&\parbox{#2\textwidth}{#4}\end{tabular}}

\begin{document}
\subsection*{Weight adjustement}

The weight adjustment is of the form
\eqline{w_k \leftarrow \hat{w}_k + \upsilon \, \delta w_k}
where $\hat{w}_k$ is the previous weight estimation, while
\eqline{\delta w_k \deq l_k \, \sum_{nt} z_n(t) \, \partial_{w_k}{}_{\bf w}f_n(t, \cdots)}
is obtained combining the locally quadratic regularization and adjustment weight gradient, while $\upsilon$ is to be auto-tuned.

It must be noted that the regularization term $\|{\bf w} - \hat{\bf w}\|_{{\bf \Lambda}(\hat{\bf w}, \hat{\bf x}, \hat{\bf z})^{-1}}^2$ is only ``locally'' quadratic in the sense that after each step the quadratic form is adjusted given the obtained estimation, allowing the criterion to consider more general regularization terms, as \href{https://line.gitlabpages.inria.fr/aide-group/backwardtuning/quadlin.pdf}{\underline{quadlin}} regularization or ${\cal L}^p$, $1 < p \le 2$ regularization.

The $\upsilon$ global weight adjustment gain is auto-tuned using a very common basic heuristic:
\begin{lstlisting}
  While(upsilon < epsilon) {
    Adjust the weights
    Estimate the new criterion cost
    If the cost does not decrease
      upsilon is divided by 2
    Else
      upsilon is slightly increased
  }
\end{lstlisting}
where `epsilon` depends on the floating point precision, usually taken as the square root of the floating precision, or can be application dependent
\\ while `upsilon` is slightly increased by a factor of the golden ratio ($\simeq 1.62$) in our implementation, without any special rational for this choice: the important point is that it can not be a power of 2 (e.g. $\sqrt{2}$) to be sure not to explore the same values.


\end{document}
